Subject: [bug#28185] [PATCH] build: emacs-build-system: Make the install phase more helpful.

From: Arun Isaac <[email-masked]>
Date: Tue, 29 Aug 2017 13:16:27 +0530

Jelle Licht writes:

> 2017-08-29 8:25 GMT+02:00 Arun Isaac <[email-masked]>:
>
>>
>> Christopher Baines writes:
>>
>> Modify the install phase to detect when nothing has been installed,
>> and error if this happens. This is preferable to continuing, and
>> allowing the next phase to fail.
>>
>> Also, when nothing can be found to be installed, print out each
>> file that was considered, along with the regular expressions that
>> were used to include and exclude it.
>> >
>> > * gnu/build/emacs-build-system.scm (install-file?): Add additional error
>> >   checking and logging.
>> > ---
>> >  guix/build/emacs-build-system.scm | 45 ++++++++++++++++++++++++++++--
>> ---------
>> >  1 file changed, 32 insertions(+), 13 deletions(-)
>>
>> I feel that this adds a lot of complexity (lines of code) to the
>> emacs-build-system checking for an error that can be quite easily
>> identified and fixed otherwise.
>>
>> WDYT? Maybe, others can comment on this as well.
>>
> One the one hand, I agree with Arun, though errors in Guix can be a bit
> intimidating for newcomers.

> Do we want to focus on clear and correct error messages over concise code?

It's a design choice, and I am unable to make up my mind. I think
somebody with more experience than me should take a call.

Let's ask Ludo. CCing him...